Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class DocumentBuilderFactory

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilderFactory

public abstract class DocumentBuilderFactory
extends java.lang.Object

Defines a factory API that enables applications to obtain a parser that produces DOM object trees from XML documents. An implementation of the `DocumentBuilderFactory` class is NOT guaranteed to be thread safe. It is up to the user application to make sure about the use of the `DocumentBuilderFactory` from more than one thread. Alternatively the application can have one instance of the `DocumentBuilderFactory` per thread. An application can use the same instance of the factory to obtain one or more instances of the `DocumentBuilder` provided the instance of the factory isn't being used in more than one thread at a time.

Since:
  JAXP 1.0
Version:
  1.0

Constructor Summary
`protected` | `DocumentBuilderFactory()`

Method Summary
`abstract java.lang.Object` | `getAttribute(java.lang.String name)` Allows the user to retrieve specific attributes on the underlying implementation.
`boolean` | `isCoalescing()` Indicates whether or not the factory is configured to produce parsers which converts CDATA nodes to Text nodes and appends it to the adjacent (if any) Text node.
`boolean` | `isExpandEntityReferences()` Indicates whether or not the factory is configured to produce parsers which expand entity reference nodes.
`boolean` | `isIgnoringComments()` Indicates whether or not the factory is configured to produce parsers which ignores comments.
`boolean` | `isIgnoringElementContentWhitespace()` Indicates whether or not the factory is configured to produce parsers which ignore ignorable whitespace in element content.
`boolean` | `isNamespaceAware()` Indicates whether or not the factory is configured to produce parsers which are namespace aware.
`boolean` | `isValidating()` Indicates whether or not the factory is configured to produce parsers which validate the XML content during parse.
`abstract DocumentBuilder` | `newDocumentBuilder()` Creates a new instance of a `DocumentBuilder` using the currently configured parameters.
`static DocumentBuilderFactory` | `newInstance()` Obtain a new instance of a `DocumentBuilderFactory`.
`abstract void` | `setAttribute(java.lang.String name, java.lang.Object value)` Allows the user to set specific attributes on the underlying implementation.
`void` | `setCoalescing(boolean coalescing)` Specifies that the parser produced by this code will convert CDATA nodes to Text nodes and append it to the adjacent (if any) text node.
`void` | `setExpandEntityReferences(boolean expandEntityRef)` Specifies that the parser produced by this code will expand entity reference nodes.
`void` | `setIgnoringComments(boolean ignoreComments)` Specifies that the parser produced by this code will ignore comments.
`void` | `setIgnoringElementContentWhitespace(boolean whitespace)` Specifies that the parsers created by this factory must eliminate whitespace in element content (sometimes known loosely as 'ignorable whitespace') when parsing XML documents (see XML Rec 2.10).
`void` | `setNamespaceAware(boolean awareness)` Specifies that the parser produced by this code will provide support for XML namespaces.
`void` | `setValidating(boolean validating)` Specifies that the parser produced by this code will validate documents as they are parsed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderFactory

    protected DocumentBuilderFactory()

Method Detail

### newInstance

    public static DocumentBuilderFactory newInstance()
                                              throws FactoryConfigurationError

  Obtain a new instance of a `DocumentBuilderFactory`. This static method creates a new factory instance. This method uses the following ordered lookup procedure to determine the `DocumentBuilderFactory` implementation class to load:
  - Use the `javax.xml.parsers.DocumentBuilderFactory` system property.
  - Use the properties file "lib/jaxp.properties" in the JRE directory. This configuration file is in standard `java.util.Properties` format and contains the fully qualified name of the implementation class with the key being the system property defined above.
  - Use the Services API (as detailed in the JAR specification), if available, to determine the classname. The Services API will look for a classname in the file `META-INF/services/javax.xml.parsers.DocumentBuilderFactory` in jars available to the runtime.
  - Platform default `DocumentBuilderFactory` instance.
  Once an application has obtained a reference to a `DocumentBuilderFactory` it can use the factory to configure and obtain parser instances.
  Throws:
    `FactoryConfigurationError` - if the implementation is not available or cannot be instantiated.

### newDocumentBuilder

    public abstract DocumentBuilder newDocumentBuilder()
                                                throws ParserConfigurationException

  Creates a new instance of a `DocumentBuilder` using the currently configured parameters.
  Returns:
    A new instance of a DocumentBuilder.
  Throws:
    `ParserConfigurationException` - if a DocumentBuilder cannot be created which satisfies the configuration requested.

### setNamespaceAware

    public void setNamespaceAware(boolean awareness)

  Specifies that the parser produced by this code will provide support for XML namespaces. By default the value of this is set to `false`
  Parameters:
    `awareness` - true if the parser produced will provide support for XML namespaces; false otherwise.

### setValidating

    public void setValidating(boolean validating)

  Specifies that the parser produced by this code will validate documents as they are parsed. By default the value of this is set to `false`.
  Parameters:
    `validating` - true if the parser produced will validate documents as they are parsed; false otherwise.

### setIgnoringElementContentWhitespace

    public void setIgnoringElementContentWhitespace(boolean whitespace)

  Specifies that the parsers created by this factory must eliminate whitespace in element content (sometimes known loosely as 'ignorable whitespace') when parsing XML documents (see XML Rec 2.10). Note that only whitespace which is directly contained within element content that has an element only content model (see XML Rec 3.2.1) will be eliminated. Due to reliance on the content model this setting requires the parser to be in validating mode. By default the value of this is set to `false`.
  Parameters:
    `whitespace` - true if the parser created must eliminate whitespace in the element content when parsing XML documents; false otherwise.

### setExpandEntityReferences

    public void setExpandEntityReferences(boolean expandEntityRef)

  Specifies that the parser produced by this code will expand entity reference nodes. By default the value of this is set to `true`
  Parameters:
    `expandEntityRef` - true if the parser produced will expand entity reference nodes; false otherwise.

### setIgnoringComments

    public void setIgnoringComments(boolean ignoreComments)

  Specifies that the parser produced by this code will ignore comments. By default the value of this is set to `false`

### setCoalescing

    public void setCoalescing(boolean coalescing)

  Specifies that the parser produced by this code will convert CDATA nodes to Text nodes and append it to the adjacent (if any) text node. By default the value of this is set to `false`
  Parameters:
    `coalescing` - true if the parser produced will convert CDATA nodes to Text nodes and append it to the adjacent (if any) text node; false otherwise.

### isNamespaceAware

    public boolean isNamespaceAware()

  Indicates whether or not the factory is configured to produce parsers which are namespace aware.
  Returns:
    true if the factory is configured to produce parsers which are namespace aware; false otherwise.

### isValidating

    public boolean isValidating()

  Indicates whether or not the factory is configured to produce parsers which validate the XML content during parse.
  Returns:
    true if the factory is configured to produce parsers which validate the XML content during parse; false otherwise.

### isIgnoringElementContentWhitespace

    public boolean isIgnoringElementContentWhitespace()

  Indicates whether or not the factory is configured to produce parsers which ignore ignorable whitespace in element content.
  Returns:
    true if the factory is configured to produce parsers which ignore ignorable whitespace in element content; false otherwise.

### isExpandEntityReferences

    public boolean isExpandEntityReferences()

  Indicates whether or not the factory is configured to produce parsers which expand entity reference nodes.
  Returns:
    true if the factory is configured to produce parsers which expand entity reference nodes; false otherwise.

### isIgnoringComments

    public boolean isIgnoringComments()

  Indicates whether or not the factory is configured to produce parsers which ignores comments.
  Returns:
    true if the factory is configured to produce parsers which ignores comments; false otherwise.

### isCoalescing

    public boolean isCoalescing()

  Indicates whether or not the factory is configured to produce parsers which converts CDATA nodes to Text nodes and appends it to the adjacent (if any) Text node.
  Returns:
    true if the factory is configured to produce parsers which converts CDATA nodes to Text nodes and appends it to the adjacent (if any) Text node; false otherwise.

### setAttribute

    public abstract void setAttribute(java.lang.String name,
                                      java.lang.Object value)
                               throws java.lang.IllegalArgumentException

  Allows the user to set specific attributes on the underlying implementation.
  Parameters:
    `name` - The name of the attribute.
    `value` - The value of the attribute.
  Throws:
    `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the attribute.

### getAttribute

    public abstract java.lang.Object getAttribute(java.lang.String name)
                                           throws java.lang.IllegalArgumentException

  Allows the user to retrieve specific attributes on the underlying implementation.
  Parameters:
    `name` - The name of the attribute.
  Returns:
    value The value of the attribute.
  Throws:
    `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the attribute.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.